Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.transport.mailto
Class SOAPDataSource

    java.lang.Object
      org.jboss.net.axis.transport.mailto.SOAPDataSource

All Implemented Interfaces:
  javax.activation.DataSource

public class SOAPDataSource
extends Object
implements javax.activation.DataSource

Title:
  SOAP 1.2 DataSource

Description:
  Datasource capable of handling SOAP 1.2 messages with the application/soap+xml content type.

Version:
  $Revision: 1.1 $
Author:
  Jason Essington

Constructor Summary
`SOAPDataSource(org.apache.axis.Message msg)` constructor to create a response message (one with no action parameter)

Method Summary
`String` | `getContentType()`
`InputStream` | `getInputStream()`
`String` | `getName()`
`OutputStream` | `getOutputStream()` NOT IMPLEMENTED!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPDataSource

    public SOAPDataSource(org.apache.axis.Message msg)

  constructor to create a response message (one with no action parameter)

Parameters:
  `msg` - soapMessage

Method Detail

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
  Throws:
    `IOException`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  NOT IMPLEMENTED!

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
  Throws:
    `IOException`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`

### getName

    public String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.